/**
 * @file
 * README file for Markdown Exporter.
 */

Markdown Exporter
A module empowering drupal user to export contents in the form of Markdown files.

The purpose of this module is to export Drupal 7 nodes in the form of Markdown files. The principal objective behind this module to facilitate the JAMStack based architecture where decoupling of Drupal (from it's presentation layer) is required.

This module can generate markdown files in both online and offline(via drush command) mode and these files will be stored under files directory.

---
Drush commands:
drush mde -> this will export all the nodes in markdown format and save .md files in the specified directory under /files folder
drush mde page --> this will export all the nodes of "page" content type
drush mde page article --> this will export all the nodes of "page" & "article" content types

Module Configuration:
  # admin/config/system/markdown-export/settings
  - Content Types & Fields JSON: Content types & fields to be exported can be provided in form of JSON string as like {"page":{"formatter":["type", "title","created"],"content":["body"]}}. This JSON format has    
    two parts: formatter & content to specify the fields forming Markdown Header & Body part respectively.
  - Markdown files directory: name of the dirctory(under files folder) to store generated markdown files. The module can create the directory if not exists
  
  

  
  

